summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Benjamin Trigona-Harany <slackbuilds@jaxartes.net>2018-02-13 12:00:16 +0000
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2018-02-17 07:42:55 +0700
commit9a816dfeecbd7b0c619c968840a923549a709d5f (patch)
treea84b0ae71c603e7b8e212e570d20e2992432e12b
parent12d76f3b5e94d23fd21d27d832620d703854b9d5 (diff)
downloadslackbuilds-9a816dfeecbd7b0c619c968840a923549a709d5f.tar.gz
slackbuilds-9a816dfeecbd7b0c619c968840a923549a709d5f.tar.xz
gis/gj2ascii: Added (render spatial vectors as ASCII).
Signed-off-by: David Spencer <idlemoor@slackbuilds.org>
-rw-r--r--gis/gj2ascii/README3
-rw-r--r--gis/gj2ascii/gj2ascii.SlackBuild87
-rw-r--r--gis/gj2ascii/gj2ascii.info10
-rw-r--r--gis/gj2ascii/slack-desc19
4 files changed, 119 insertions, 0 deletions
diff --git a/gis/gj2ascii/README b/gis/gj2ascii/README
new file mode 100644
index 0000000000..4987ea51a9
--- /dev/null
+++ b/gis/gj2ascii/README
@@ -0,0 +1,3 @@
+gj2ascii can render spatial vectors on the command line or with Python.
+
+python-emoji is an optional dependency.
diff --git a/gis/gj2ascii/gj2ascii.SlackBuild b/gis/gj2ascii/gj2ascii.SlackBuild
new file mode 100644
index 0000000000..aa5b014afa
--- /dev/null
+++ b/gis/gj2ascii/gj2ascii.SlackBuild
@@ -0,0 +1,87 @@
+#!/bin/sh
+
+# Slackware build script for gj2ascii
+
+# Copyright 2018 Benjamin Trigona-Harany <slackbuilds@jaxartes.net>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=gj2ascii
+VERSION=${VERSION:-0.4.1}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+python setup.py install --root=$PKG
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ CHANGES.txt README.rst \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/gis/gj2ascii/gj2ascii.info b/gis/gj2ascii/gj2ascii.info
new file mode 100644
index 0000000000..40f0e4161a
--- /dev/null
+++ b/gis/gj2ascii/gj2ascii.info
@@ -0,0 +1,10 @@
+PRGNAM="gj2ascii"
+VERSION="0.4.1"
+HOMEPAGE="https://github.com/geowurster/gj2ascii"
+DOWNLOAD="https://github.com/geowurster/gj2ascii/archive/0.4.1/gj2ascii-0.4.1.tar.gz"
+MD5SUM="d2eb99fc027e83675fe4c2515fb781eb"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="Shapely Fiona click numpy rasterio"
+MAINTAINER="Benjamin Trigona-Harany"
+EMAIL="slackbuilds@jaxartes.net"
diff --git a/gis/gj2ascii/slack-desc b/gis/gj2ascii/slack-desc
new file mode 100644
index 0000000000..0e80d2e511
--- /dev/null
+++ b/gis/gj2ascii/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+gj2ascii: gj2ascii (render spatial vectors as ASCII)
+gj2ascii:
+gj2ascii: gj2ascii can render spatial vectors as ASCII or emoji on the command
+gj2ascii: line or with Python.
+gj2ascii:
+gj2ascii:
+gj2ascii:
+gj2ascii:
+gj2ascii:
+gj2ascii:
+gj2ascii: